hepsplit 
  A small program to split a large stdhep file to many files with small number of events.
  Useful to run jobs on many GRID sites.

Usage: 
Command format
     hepsplit [options]
  Options
     --infile [infile]    : (D=input.stdhep) Input stdhep file name
     --outprefix [ofile]  : (D=output )    Prefix of output file. File names will be
                  output_NNN.stdhep, where NNN=0~999
     --maxread   [N]      : (D=0) Number of read recors, <= 0 to the end
     --nw_per_file [N]    : (D=300) Number of events in each output file.
     --write_begin_rec    : (D=1) Output begin record in each file or not. (0,1)=(No, Yes)
     --nseq_from [N]      : (D=0) First sequence number of output file.
     --skip_nevents [N]  : (D=0) Skip N records before start writting.


     
================================================================================
How to build
  (1) Requirements
    - STDHEP : 
         stdhep directory should be set to STDHEPDIR environment variable. 
         See stdhep/README about how to build STDHEP by yourself.

    - CERNLIB
         A command, cernilb, should be in the command path

      If you have access to /cvmfs/sft.cern.ch, do 
       . /cvmfs/sft.cern.ch/lcg/external/gcc/4.8.1/x86_64-slc6-gcc48-opt/setup.sh /cvmfs/sft.cern.ch/lcg/external
      This setup gcc-4.8.1, gfortran-4.8.1, CERNLIB, but not STDHEP.  Build STDHEP by yourself. 

  (2) To build, just do 
      $ make

      or run bld_stdhep.sh in the stdhep directory.  It should run with 
      gcc-4.8.1 and gfortran-4.8.1 available in /cvmfs/sft.cern.ch, which can be set up as follows.

      . /cvmfs/sft.cern.ch/lcg/external/gcc/4.8.1/x86_64-slc6-gcc48-opt/setup.sh /cvmfs/sft.cern.ch/lcg/external
      
      
================================================================================
Author: Akiya Miyamoto (KEK), 23-September-2011
        (revised)             2-August-2016   
   
